// SPDX-License-Identifier: MIT

use crate::common;

#[derive(Clone, Debug)]
pub struct HardwareConfig {
    pub has_wwan: bool,
}

impl HardwareConfig {
    async fn has_wwan() -> bool {
        cfg!(debug_assertions) || common::wwan_module().is_some()
    }
    pub async fn load() -> Self {
        HardwareConfig {
            has_wwan: HardwareConfig::has_wwan().await,
        }
    }
}
