// SPDX-License-Identifier: MIT

use axum::{middleware, Router};

use crate::common::get_title;

#[cfg(feature = "restapi")]
mod restapi;
#[cfg(not(feature = "restapi"))]
mod restapi {
    pub fn routes() -> axum::Router {
        axum::Router::new()
    }
}

pub fn routes() -> Router {
    restapi::routes().route_layer(middleware::from_fn(|request, next| {
        get_title(request, next, "./settings")
    }))
}
